<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.ElUserBookMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.system.domain.userbook.ElUserBook">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="examId" column="exam_id" jdbcType="VARCHAR"/>
            <result property="userId" column="user_id" jdbcType="INTEGER"/>
            <result property="quId" column="qu_id" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="wrongCount" column="wrong_count" jdbcType="INTEGER"/>
            <result property="title" column="title" jdbcType="VARCHAR"/>
            <result property="sort" column="sort" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,exam_id,user_id,
        qu_id,create_time,update_time,
        wrong_count,title,sort
    </sql>
</mapper>
